﻿.board {
    background-color: #1d4ed8;

    margin-top: 0.75rem;
    margin-bottom: 0.75rem;

    width: 500px;
    height: 500px;
    padding: 0.5rem;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 0.5rem;
}

.board-tile {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    background-color: #3b82f6;

    transition: 0.2s;

    padding: 0.25rem;
    user-select: none;
    font-size: 2rem;
    font-weight: bold;
}

    .board-tile:hover {
        background-color: #60a5fa;
        transition: 0.2s;
        cursor: pointer;
    }

.filledIn {
    background-color: #3b82f6;
    transition: 0.2s;
}

    .filledIn:hover {
        background-color: #3b82f6;
        cursor: default;
    }

.disabled {
    background-color: #3b64f6;
    color: #e4e4e7;
    transition: 0.2s;
}

    .disabled:hover {
        background-color: #3b64f6;
        color: #e4e4e7;
        cursor: default;
    }

.bottom-display{
    display: flex;
    gap: 2rem;
}

button {
    color: white;
    background-color: #3b82f6;
    transition: background-color 0.2s;

    border: none;
    border-radius: 5px;

    font-weight: bold;
    font-size: 1.25rem;

    padding-left: 10px;
    padding-right: 10px;
    padding-top: 8px;
    padding-bottom: 8px;
}

    button:hover {
        background-color: #1d4ed8;
        transition: background-color 0.2s;
        cursor: pointer;
    }